jfa.utilities.element = (function () {
  function disable(element) {
    if (!element) {
      return;
    }
    element.disabled = true;
  }

  function enable(element) {
    if (!element) {
      return;
    }
    element.disabled = false;
  }

  function hide(element) {
    if (!element) {
      return;
    }
    element.hidden = true;
  }

  function show(element, suppressEvent) {
    if (!element) {
      return;
    }

    element.hidden = false;
  }

  return {
    disable: disable,
    enable: enable,
    hide: hide,
    show: show
  };
})();